Overview | Modules | Class Hierarchy | Classes | Members
# tlp::ElementPropertiesWidgetUI Class Reference `#include <ElementPropertiesWidgetUI.h>` Inherited by tlp::ElementPropertiesWidget. Inheritance diagram for tlp::ElementPropertiesWidgetUI: [legend] Collaboration diagram for tlp::ElementPropertiesWidgetUI: [legend] List of all members. ## Public Member Functions ElementPropertiesWidgetUI (QWidget *parent=0) ~ElementPropertiesWidgetUI () ## Public Attributes QLabel * label TulipTableWidget * propertyTable ## Protected Slots virtual void languageChange () virtual void propertyTableValueChanged (int, int) ## Protected Attributes QGridLayout * ElementPropertiesWidgetUILayout ## Constructor & Destructor Documentation
tlp::ElementPropertiesWidgetUI::ElementPropertiesWidgetUI | ( | QWidget * | parent = `0` | ) |
tlp::ElementPropertiesWidgetUI::~ElementPropertiesWidgetUI | ( |  | ) |
## Member Function Documentation
virtual void tlp::ElementPropertiesWidgetUI::languageChange | ( |  | ) | `[protected, virtual, slot]`
virtual void tlp::ElementPropertiesWidgetUI::propertyTableValueChanged | ( | int | ,
|  | int |
| ) | `[protected, virtual, slot]`
| Reimplemented in tlp::ElementPropertiesWidget.
## Member Data Documentation
QGridLayout* tlp::ElementPropertiesWidgetUI::ElementPropertiesWidgetUILayout`[protected]`
QLabel* tlp::ElementPropertiesWidgetUI::label
TulipTableWidget* tlp::ElementPropertiesWidgetUI::propertyTable

Tulip Software by LaBRI Visualization Team 2001 - 2010